Bug 1422247 - Can't set crda with 4.10 kernel
Summary: Can't set crda with 4.10 kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F26AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-02-14 20:43 UTC by Zdenek Kabelac
Modified: 2019-01-09 12:54 UTC (History)
14 users (show)

Fixed In Version: kernel-4.11.0-0.rc3.git0.2.fc26 kernel-4.10.5-200.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-27 16:28:30 UTC
Type: Bug


Attachments (Terms of Use)
Log from 4.8 kernel (88.33 KB, text/plain)
2017-02-14 20:45 UTC, Zdenek Kabelac
no flags Details
Log from 4.10-rc7 kernel (97.64 KB, text/plain)
2017-02-14 20:46 UTC, Zdenek Kabelac
no flags Details
Strace from 'crda' execution with COUNTRY=CZ (15.00 KB, text/plain)
2017-02-14 20:48 UTC, Zdenek Kabelac
no flags Details
Strace from 'crda' execution with COUNTRY=US (with same problem) (15.00 KB, text/plain)
2017-02-14 20:50 UTC, Zdenek Kabelac
no flags Details
Fresh new boot with rawhide 4.10-rc8 (93.84 KB, text/plain)
2017-02-15 10:04 UTC, Zdenek Kabelac
no flags Details
My local debug build of 4.10-rc7 with my own config (83.01 KB, text/plain)
2017-02-15 10:09 UTC, Zdenek Kabelac
no flags Details
My config file where initial call of 'crda' seems to work (130.01 KB, text/plain)
2017-02-15 10:11 UTC, Zdenek Kabelac
no flags Details

Description Zdenek Kabelac 2017-02-14 20:43:44 UTC
Description of problem:

It seems  trying to set 'crda'  COUNTRY domain gives now error 251
reported by systemd.

With 4.8 it works:

crda[460]: setting regulatory domain to CZ based on timezone (Europe/Prague)


With 4.10-rc7 it gives me this:

systemd-udevd[412]: Process '/usr/sbin/crda' failed with exit code 251.
crda[483]: setting regulatory domain to CZ based on timezone (Europe/Prague)
systemd-udevd[406]: Process '/usr/sbin/crda' failed with exit code 251.


Version-Release number of selected component (if applicable):
4.10-rc7

How reproducible:
COUNTRY=CZ crda

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Zdenek Kabelac 2017-02-14 20:45:25 UTC
Created attachment 1250337 [details]
Log from 4.8  kernel

Comment 2 Zdenek Kabelac 2017-02-14 20:46:19 UTC
Created attachment 1250338 [details]
Log from 4.10-rc7 kernel

This logs shows error reported by systemd

Comment 3 Zdenek Kabelac 2017-02-14 20:48:05 UTC
Created attachment 1250339 [details]
Strace  from  'crda' execution with COUNTRY=CZ

Comment 4 Zdenek Kabelac 2017-02-14 20:50:12 UTC
Created attachment 1250340 [details]
Strace from 'crda'  execution with COUNTRY=US  (with same problem)

Also ends with  "nl80211 not found"

Comment 5 Justin M. Forbes 2017-02-14 21:48:31 UTC
Can you give this a try with rc8?  There was a fix for nl80211 that went in there.  It might not be the fix for this particular issue, but better to rule it out before investigating further.

Comment 6 Zdenek Kabelac 2017-02-15 10:04:25 UTC
Created attachment 1250537 [details]
Fresh new boot with rawhide 4.10-rc8

As one can see rawhide kernel -rc8 has still the same issue with crda usage

Comment 7 Zdenek Kabelac 2017-02-15 10:09:06 UTC
Created attachment 1250539 [details]
My local debug build of 4.10-rc7 with my own config

However when I use my own build of '-rc7'  it does seem to work properly.

Comment 8 Zdenek Kabelac 2017-02-15 10:11:48 UTC
Created attachment 1250540 [details]
My config file where initial call of 'crda' seems to work

Providing my config file which I'm using for my own private kernel debug build where 'crda' works -  just repeated call returns -7   (same as 4.8 kernel).

IMHO it's something in rawhide's config which makes it return missing nl error.

Comment 9 Harald Reindl 2017-03-16 16:36:04 UTC
[root@srv-rhsoft:~]$ echo $COUNTRY
AT
[root@srv-rhsoft:~]$ crda
nl80211 not found.

[root@srv-rhsoft:~]$ rpm -qa | grep kernel | grep 4.10
kernel-devel-4.10.3-200.fc25.x86_64
kernel-modules-4.10.3-200.fc25.x86_64
kernel-headers-4.10.3-200.fc25.x86_64
kernel-core-4.10.3-200.fc25.x86_64

Mar 16 17:32:21 srv-rhsoft kernel: br-lan: port 6(wlan0) entered blocking state
Mar 16 17:32:21 srv-rhsoft kernel: br-lan: port 6(wlan0) entered disabled state
Mar 16 17:32:21 srv-rhsoft kernel: device wlan0 entered promiscuous mode
Mar 16 17:32:21 srv-rhsoft systemd-udevd: Process '/usr/sbin/crda' failed with exit code 251.
Mar 16 17:32:21 srv-rhsoft systemd: Started Wireless-AP.
Mar 16 17:32:23 srv-rhsoft systemd-udevd: Process '/usr/sbin/crda' failed with exit code 251.

[root@srv-rhsoft:~]$ lsmod | grep 80211
mac80211              757760  1 ath9k
cfg80211              602112  4 mac80211,ath9k,ath,ath9k_common
rfkill                 24576  4 hp_wmi,cfg80211
[root@srv-rhsoft:~]$ locate 80211 | grep 4.10 |grep ko
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/drivers/net/wireless/mac80211_hwsim.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/drivers/net/wireless/broadcom/brcm80211/brcmfmac/brcmfmac.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/drivers/net/wireless/broadcom/brcm80211/brcmsmac/brcmsmac.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/drivers/net/wireless/broadcom/brcm80211/brcmutil/brcmutil.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/net/mac80211/mac80211.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/net/wireless/cfg80211.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/net/wireless/lib80211.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/net/wireless/lib80211_crypt_ccmp.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/net/wireless/lib80211_crypt_tkip.ko.xz
/usr/lib/modules/4.10.3-200.fc25.x86_64/kernel/net/wireless/lib80211_crypt_wep.ko.xz

Comment 10 Harald Reindl 2017-03-21 09:36:57 UTC
[root@srv-rhsoft:~]$ export COUNTRY=AT

[root@srv-rhsoft:~]$ crda
nl80211 not found.

[root@srv-rhsoft:~]$ uname -a
Linux srv-rhsoft.rhsoft.net 4.10.4-200.fc25.x86_64 #1 SMP Mon Mar 20 13:15:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 11 Harald Reindl 2017-03-21 09:37:21 UTC
02:00.0 Network controller: Qualcomm Atheros AR5418 Wireless Network Adapter [AR5008E 802.11(a)bgn] (PCI-Express) (rev 01)

Comment 12 Justin M. Forbes 2017-03-21 17:06:05 UTC
So there was an issue where CONFIG_CFG80211_CRDA_SUPPORT was not enabled in 4.10 until 4.10.4, but with this enabled it seems we are running into a similar issue as SuSE. Can you give me the output of lsmod from 4.10.4?

Comment 13 Harald Reindl 2017-03-21 17:26:16 UTC
lspci and lsmod below - the machine has besides wireless the on-board-NIC as well as a 4-port and a 2-port-poe NIC

[root@srv-rhsoft:~]$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C216 Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C216 Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C216 Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.4 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 5 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C216 Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a4)
00:1f.0 ISA bridge: Intel Corporation Q77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series/C210 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C216 Chipset Family SMBus Controller (rev 04)
01:00.0 Ethernet controller: Intel Corporation 82580 Gigabit Network Connection (rev 01)
01:00.1 Ethernet controller: Intel Corporation 82580 Gigabit Network Connection (rev 01)
01:00.2 Ethernet controller: Intel Corporation 82580 Gigabit Network Connection (rev 01)
01:00.3 Ethernet controller: Intel Corporation 82580 Gigabit Network Connection (rev 01)
02:00.0 Network controller: Qualcomm Atheros AR5418 Wireless Network Adapter [AR5008E 802.11(a)bgn] (PCI-Express) (rev 01)
03:00.0 PCI bridge: Texas Instruments XIO3130 PCI Express Switch (Upstream) (rev 02)
04:00.0 PCI bridge: Texas Instruments XIO3130 PCI Express Switch (Downstream) (rev 02)
04:01.0 PCI bridge: Texas Instruments XIO3130 PCI Express Switch (Downstream) (rev 02)
04:02.0 PCI bridge: Texas Instruments XIO3130 PCI Express Switch (Downstream) (rev 02)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)

[root@srv-rhsoft:~]$ lsmod
Module                  Size  Used by
cls_u32                20480  1
bridge                135168  0
sch_htb                24576  1
stp                    16384  1 bridge
llc                    16384  2 bridge,stp
vmmon                  90112  22
nf_nat_ftp             16384  0
xt_TCPMSS              16384  2
nf_log_ipv4            16384  11
vmnet                  53248  12
nf_log_common          16384  1 nf_log_ipv4
xt_LOG                 16384  11
xt_limit               16384  7
xt_connlimit           16384  8
xt_iprange             16384  7
xt_multiport           16384  1154
xt_recent              20480  26
xt_conntrack           16384  81
nf_conntrack_ftp       20480  2 nf_nat_ftp
xt_CT                  16384  1
iptable_raw            16384  1
ipt_MASQUERADE         16384  8
nf_nat_masquerade_ipv4    16384  1 ipt_MASQUERADE
xt_nat                 16384  2
iptable_nat            16384  1
nf_conntrack_ipv4      16384  101
nf_defrag_ipv4         16384  1 nf_conntrack_ipv4
nf_nat_ipv4            16384  1 iptable_nat
tun                    28672  4
nf_nat                 28672  4 xt_nat,nf_nat_ftp,nf_nat_masquerade_ipv4,nf_nat_ipv4
nf_conntrack          131072  11 xt_nat,nf_conntrack_ftp,nf_conntrack_ipv4,ipt_MASQUERADE,nf_nat_ftp,xt_connlimit,xt_CT,nf_nat_masquerade_ipv4,xt_conntrack,nf_nat_ipv4,nf_nat
libcrc32c              16384  1 nf_nat
iptable_mangle         16384  0
zram                   24576  1
intel_rapl             20480  0
x86_pkg_temp_thermal    16384  0
intel_powerclamp       16384  0
coretemp               16384  0
snd_hda_codec_hdmi     45056  1
crct10dif_pclmul       16384  0
crc32_pclmul           16384  0
crc32c_intel           24576  1
ghash_clmulni_intel    16384  0
snd_hda_codec_realtek    90112  1
snd_hda_codec_generic    73728  1 snd_hda_codec_realtek
intel_cstate           20480  0
arc4                   16384  2
hp_wmi                 16384  0
iTCO_wdt               16384  0
sparse_keymap          16384  1 hp_wmi
iTCO_vendor_support    16384  1 iTCO_wdt
ath9k                 126976  0
ath9k_common           36864  1 ath9k
ath9k_hw              462848  2 ath9k,ath9k_common
igb                   204800  0
r8169                  81920  0
i915                 1449984  6
dca                    16384  1 igb
mac80211              757760  1 ath9k
ie31200_edac           16384  0
mii                    16384  1 r8169
intel_uncore          118784  0
snd_hda_intel          36864  6
ath                    28672  3 ath9k_hw,ath9k,ath9k_common
snd_hda_codec         126976  4 snd_hda_intel,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
cfg80211              602112  4 mac80211,ath9k,ath,ath9k_common
snd_hda_core           81920  5 snd_hda_intel,snd_hda_codec,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
snd_hwdep              16384  1 snd_hda_codec
snd_seq                65536  0
snd_seq_device         16384  1 snd_seq
i2c_algo_bit           16384  2 igb,i915
snd_pcm               102400  5 snd_hda_intel,snd_hda_codec,snd_hda_core,snd_hda_codec_hdmi
drm_kms_helper        155648  1 i915
rfkill                 24576  3 hp_wmi,cfg80211
snd_timer              32768  2 snd_seq,snd_pcm
snd                    77824  21 snd_hda_intel,snd_hwdep,snd_seq,snd_hda_codec,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_seq_device,snd_hda_codec_realtek,snd_pcm
e1000e                249856  0
shpchp                 36864  0
intel_rapl_perf        16384  0
drm                   352256  5 i915,drm_kms_helper
i2c_i801               24576  0
edac_core              53248  1 ie31200_edac
soundcore              16384  1 snd
ptp                    20480  2 igb,e1000e
wmi                    16384  1 hp_wmi
lpc_ich                24576  0
tpm_infineon           20480  0
pps_core               20480  1 ptp
tpm_tis                16384  0
tpm_tis_core           20480  1 tpm_tis
fjes                   73728  0
video                  40960  1 i915
tpm                    40960  3 tpm_infineon,tpm_tis,tpm_tis_core
uas                    24576  0
usb_storage            69632  1 uas
raid1                  40960  1
raid10                 49152  2
serio_raw              16384  0

Comment 14 Justin M. Forbes 2017-03-22 18:23:33 UTC
Can anyone please test with the kernel in https://koji.fedoraproject.org/koji/taskinfo?taskID=18523893 and let me know if that fixes it? I would love to get an answer before doing the 4.10.5 builds.

Comment 15 Harald Reindl 2017-03-22 19:00:43 UTC
[root@srv-rhsoft:~]$ uname -r
4.10.4-201.fc25.x86_64 #1 SMP Wed Mar 22 16:00:01 UTC 2017

both of my two wireless accesspoints are working fine again - thanks 
___________________________________

no you don't need two phyiscal adapters, just a little magic nad when faking MAC adresses they appear as "hewlett packard" harwdare instead DLINK in "wig´fi analyzer2 on Android :-)
___________________________________

[root@srv-rhsoft:~]$ cat /etc/systemd/system/hostapd-guest-interface.service
[Unit]
Description=Wireless-AP Guest Interface
After=network.service systemd-networkd.service network-online.target network-guest-bridge.service
Before=hostapd.service hostapd-guest.service

[Service]
Type=oneshot
RemainAfterExit=yes
Environment="COUNTRY=AT"
ExecStart=/usr/bin/true
ExecStartPre=/usr/sbin/iw reg set AT
ExecStartPost=/usr/sbin/iw phy phy0 interface add wlan1 type managed
ExecStartPost=/usr/sbin/ifconfig wlan0 hw ether 28:92:4a:2b:5d:44
ExecStartPost=/usr/sbin/ifconfig wlan1 hw ether 28:92:4a:2b:5d:45

[Install]
WantedBy=multi-user.target
___________________________________

[root@srv-rhsoft:~]$ cat /etc/systemd/system/hostapd.service
[Unit]
Description=Wireless-AP
After=network.service systemd-networkd.service network-online.target network-wlan-bridge.service dhcpd.service named.service

[Service]
Type=simple
Environment="COUNTRY=AT"
ExecStartPre=/usr/sbin/iw reg set AT
ExecStart=/usr/sbin/hostapd /etc/hostapd/hostapd.conf
ExecStartPost=/usr/sbin/ifconfig wlan0 txqueuelen 50
ExecStartPost=/usr/sbin/iwconfig wlan0 txpower 10
Restart=always
RestartSec=1
PrivateTmp=yes
CapabilityBoundingSet=~CAP_SYS_ADMIN CAP_SYS_BOOT CAP_SYS_MODULE CAP_SYS_PTRACE
SystemCallFilter=~acct modify_ldt add_key adjtimex clock_adjtime delete_module fanotify_init finit_module get_mempolicy init_module io_destroy io_getevents iopl ioperm io_setup io_submit io_cancel kcmp kexec_load keyctl lookup_dcookie mbind migrate_pages mount move_pages open_by_handle_at perf_event_open pivot_root process_vm_readv process_vm_writev ptrace remap_file_pages request_key set_mempolicy swapoff swapon umount2 uselib vmsplice
ReadOnlyDirectories=/etc
ReadOnlyDirectories=/usr
ReadOnlyDirectories=/var/lib
InaccessibleDirectories=/boot
InaccessibleDirectories=/home
InaccessibleDirectories=/media
InaccessibleDirectories=/root
InaccessibleDirectories=/run/console
InaccessibleDirectories=/run/dbus
InaccessibleDirectories=/run/lock
InaccessibleDirectories=/run/mount
InaccessibleDirectories=/run/systemd/generator
InaccessibleDirectories=/run/systemd/system
InaccessibleDirectories=/run/systemd/users
InaccessibleDirectories=/run/udev
InaccessibleDirectories=/run/user
InaccessibleDirectories=/var/lib/dbus
InaccessibleDirectories=/var/lib/rpm
InaccessibleDirectories=/var/lib/systemd
InaccessibleDirectories=/var/lib/yum
InaccessibleDirectories=/var/spool

[Install]
WantedBy=multi-user.target
___________________________________

[root@srv-rhsoft:~]$ cat /etc/systemd/system/hostapd-guest.service
[Unit]
Description=Wireless-AP Guest
After=network.service systemd-networkd.service network-online.target network-guest-bridge.service dhcpd-guest.service hostapd.service

[Service]
Type=simple
Environment="COUNTRY=AT"
ExecStartPre=/usr/sbin/iw reg set AT
ExecStartPre=/usr/bin/sleep 5
ExecStart=/usr/sbin/hostapd /etc/hostapd/hostapd-guest.conf
ExecStartPost=/usr/sbin/ifconfig wlan1 txqueuelen 50 -multicast -allmulti
Restart=always
RestartSec=1
PrivateTmp=yes
CapabilityBoundingSet=~CAP_SYS_ADMIN CAP_SYS_BOOT CAP_SYS_MODULE CAP_SYS_PTRACE
SystemCallFilter=~acct modify_ldt add_key adjtimex clock_adjtime delete_module fanotify_init finit_module get_mempolicy init_module io_destroy io_getevents iopl ioperm io_setup io_submit io_cancel kcmp kexec_load keyctl lookup_dcookie mbind migrate_pages mount move_pages open_by_handle_at perf_event_open pivot_root process_vm_readv process_vm_writev ptrace remap_file_pages request_key set_mempolicy swapoff swapon umount2 uselib vmsplice
ReadOnlyDirectories=/etc
ReadOnlyDirectories=/usr
ReadOnlyDirectories=/var/lib
InaccessibleDirectories=/boot
InaccessibleDirectories=/home
InaccessibleDirectories=/media
InaccessibleDirectories=/root
InaccessibleDirectories=/run/console
InaccessibleDirectories=/run/dbus
InaccessibleDirectories=/run/lock
InaccessibleDirectories=/run/mount
InaccessibleDirectories=/run/systemd/generator
InaccessibleDirectories=/run/systemd/system
InaccessibleDirectories=/run/systemd/users
InaccessibleDirectories=/run/udev
InaccessibleDirectories=/run/user
InaccessibleDirectories=/var/lib/dbus
InaccessibleDirectories=/var/lib/rpm
InaccessibleDirectories=/var/lib/systemd
InaccessibleDirectories=/var/lib/yum
InaccessibleDirectories=/var/spool

[Install]
WantedBy=multi-user.target

Comment 16 poma 2017-03-22 20:00:09 UTC
https://marc.info/?l=linux-wireless&m=149019579325221
Stanislaw, Larry, are you talking about
https://patchwork.kernel.org/patch/9639195
?

Comment 17 Larry Finger 2017-03-22 20:07:36 UTC
Yes, that patch fixed the problem I was seeing.

Comment 18 poma 2017-03-23 10:47:12 UTC
All right, thank you both!

Comment 19 Fedora Update System 2017-03-23 11:58:17 UTC
kernel-4.10.5-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-90aaa5bd24

Comment 20 Adam Williamson 2017-03-23 17:42:37 UTC
Proposing as an Alpha freeze exception, jforbes suggested this would be a good thing to have fixed for Alpha as it can prevent wireless networking working for folks who need to set a regulatory domain.

Comment 21 Adam Williamson 2017-03-23 23:57:22 UTC
Discussed at 2017-03-23 Fedora 26 Alpha Go/No-Go meeting, acting as a freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-2/2017-03-23/f26-alpha-go-no-go-meeting-2nd.2017-03-23-17.00.log.txt . Accepted as a freeze exception, as it can affect network functionality on the live and installer images and thus can't be fixed by an update.

Comment 22 Fedora Update System 2017-03-24 12:52:40 UTC
kernel-4.11.0-0.rc3.git0.2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64210363f1

Comment 23 Larry Finger 2017-03-24 18:10:31 UTC
I'm not convinced that this bug leaves the system in an unfixable state. If a wired network is in use, then the bug has no effect. When using wireless, the unavailability of CRDA will result in using a domain based on the timezone, as in the original posting, or the default regulatory domain will be used. In the latter case, the rules will essentially be those of the EU. Channels 12 and 13 might be illegally used in the US, but channels 1-11 will be available. In Japan, channel 14 might not be available. I'm not sure what channels would be allowed in the 5G band, but I would expect all 3 channel groups to be allowed.

Comment 24 Adam Williamson 2017-03-24 18:14:14 UTC
I don't think anyone claimed it left anything in an unfixable state?

Comment 25 Harald Reindl 2017-03-24 18:23:17 UTC
@Larryy Finger: i doubt that there are working falksbacks because here the udev stuff leaded in WLAN interfaces shortly appeared and gone while hostapd failed at the same time,got restarted by systemd and failed again 

If what you are saying would be true I would not have had days without a working wwlan access point until the last f25 kernel update fixed that issue

Comment 26 Larry Finger 2017-03-24 18:39:03 UTC
(In reply to Adam Williamson from comment #24)
> I don't think anyone claimed it left anything in an unfixable state?

Is that not what was claimed in Comment #21?

For completeness, the actual default regulatory domain is set as

country 00: DFS-UNSET
        (2402 - 2472 @ 40), (6, 20), (N/A)
        (2457 - 2482 @ 20), (6, 20), (N/A), AUTO-BW, PASSIVE-SCAN
        (2474 - 2494 @ 20), (6, 20), (N/A), NO-OFDM, PASSIVE-SCAN
        (5170 - 5250 @ 80), (6, 20), (N/A), AUTO-BW, PASSIVE-SCAN
        (5250 - 5330 @ 80), (6, 20), (0 ms), DFS, AUTO-BW, PASSIVE-SCAN
        (5490 - 5730 @ 160), (6, 20), (0 ms), DFS, PASSIVE-SCAN
        (5735 - 5835 @ 80), (6, 20), (N/A), PASSIVE-SCAN
        (57240 - 63720 @ 2160), (N/A, 0), (N/A)

These rules allow channels 1-14 in the 2.4 GHz band, and channels 36-104, 100-144, and 149-165 in the 5G band.

No allowable channel should be blocked by the inability to run CRDA.

Yes, hostapd might not run, but the wireless NIC should function in STA mode.

Comment 27 Adam Williamson 2017-03-24 18:50:05 UTC
"Is that not what was claimed in Comment #21?"

No, not really. We just figured there's enough of a possibility that this could cause problems in the Alpha images to be worth fixing during a freeze.

Comment 28 Fedora Update System 2017-03-24 20:23:08 UTC
kernel-4.10.5-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-90aaa5bd24

Comment 29 Harald Reindl 2017-03-24 20:38:44 UTC
It's not worth any discussion - if Fedora was able to act as wireless access point as well as a client and for whatever reason it's broken that state don't deserve to be even considered as release quality and that this was not fixed before build the first 4.10 kernel for f25 is bad enough - happily it's working now but i don't get the attitude to discuss about such basics at all

Comment 30 Fedora Update System 2017-03-24 22:53:27 UTC
kernel-4.11.0-0.rc3.git0.2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64210363f1

Comment 31 Fedora Update System 2017-03-27 16:28:30 UTC
kernel-4.11.0-0.rc3.git0.2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-03-28 00:25:09 UTC
kernel-4.10.5-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.